# Interface Signature.TypeVarSig

All Superinterfaces:
  `Signature, Signature.RefTypeSig, Signature.ThrowableSig`

Enclosing interface:
  `Signature`

public static sealed interface Signature.TypeVarSig extends Signature.RefTypeSig, Signature.ThrowableSig
Models the signature of a type variable. A type variable is introduced by a type parameter declaration.

See Java Language Specification:
  4.4 Type Variables
See Java Virtual Machine Specification:
  4.7.9.1 Signatures
Since:
  24
See Also:
  - `TypeVariable`
  - `Signature.TypeParam`

## Nested Class Summary

### Nested classes/interfaces declared in interface Signature

`Signature.ArrayTypeSig, Signature.BaseTypeSig, Signature.ClassTypeSig, Signature.RefTypeSig, Signature.ThrowableSig, Signature.TypeArg, Signature.TypeParam, Signature.TypeVarSig`
Modifier and Type
Interface
Description
`static interface`
`Signature.ArrayTypeSig`
Models the signature of an array type.
`static interface`
`Signature.BaseTypeSig`
Models the signature of a primitive type (JLS §4.2) or void.
`static interface`
`Signature.ClassTypeSig`
Models the signature of a possibly-parameterized class or interface type.
`static interface`
`Signature.RefTypeSig`
Models the signature of a reference type, which may be a class, interface, type variable, or array type.
`static interface`
`Signature.ThrowableSig`
Marker interface for a signature for a throwable type.
`static interface`
`Signature.TypeArg`
Models a type argument, an argument to a type parameter.
`static interface`
`Signature.TypeParam`
Models a signature for a type parameter of a generic class, interface, method, or constructor, which introduces a type variable.
`static interface`
`Signature.TypeVarSig`
Models the signature of a type variable.

## Method Summary

Modifier and Type
Method
Description
`String`
`identifier()`
Returns the name of the type variable.
`static Signature.TypeVarSig`
`of(String identifier)`
Returns a signature for a type variable.

### Methods declared in interface Signature

`signatureString`
Modifier and Type
Method
Description
`String`
`signatureString()`
Returns the raw signature string.

## Method Details

### identifier

String identifier()
Returns the name of the type variable.

Returns:
  the name of the type variable

### of

static Signature.TypeVarSig of(String identifier)
Returns a signature for a type variable.

Parameters:
  `identifier` - the name of the type variable
Returns:
  a signature for a type variable
Throws:
  `IllegalArgumentException` - if the name cannot be denoted